pcl::ConstCloudIterator< PointT >::DefaultConstIterator Class Reference

`#include <pcl/impl/cloud_iterator.hpp>`

Inherits pcl::ConstCloudIterator< PointT >::Iterator.

## Public Member Functions

| DefaultConstIterator (const PointCloud< PointT > &cloud)
| ~DefaultConstIterator ()
void | operator++ ()
void | operator++ (int)
const PointT & | operator* () const
const PointT * | operator-> () const
unsigned | getCurrentPointIndex () const
unsigned | getCurrentIndex () const
size_t | size () const
void | reset ()
bool | isValid () const

## Detailed Description

### template<typename PointT>
class pcl::ConstCloudIterator< PointT >::DefaultConstIterator

Author
  Suat Gedikli

Definition at line 190 of file cloud_iterator.hpp.

## Constructor & Destructor Documentation

## DefaultConstIterator()

template<typename PointT>

pcl::ConstCloudIterator< PointT >::DefaultConstIterator::DefaultConstIterator | ( | const PointCloud< PointT > & | cloud | ) |

inline

Definition at line 193 of file cloud_iterator.hpp.

## ~DefaultConstIterator()

template<typename PointT>

pcl::ConstCloudIterator< PointT >::DefaultConstIterator::~DefaultConstIterator | ( |  | ) |

inline

Definition at line 199 of file cloud_iterator.hpp.

## Member Function Documentation

## getCurrentIndex()

template<typename PointT>

unsigned pcl::ConstCloudIterator< PointT >::DefaultConstIterator::getCurrentIndex | ( |  | ) | const

inline

Definition at line 228 of file cloud_iterator.hpp.

## getCurrentPointIndex()

template<typename PointT>

unsigned pcl::ConstCloudIterator< PointT >::DefaultConstIterator::getCurrentPointIndex | ( |  | ) | const

inline

Definition at line 223 of file cloud_iterator.hpp.

## isValid()

template<typename PointT>

bool pcl::ConstCloudIterator< PointT >::DefaultConstIterator::isValid | ( |  | ) | const

inline

Definition at line 243 of file cloud_iterator.hpp.

## operator*()

template<typename PointT>

const PointT& pcl::ConstCloudIterator< PointT >::DefaultConstIterator::operator* | ( |  | ) | const

inline

Definition at line 213 of file cloud_iterator.hpp.

## operator++() [1/2]

template<typename PointT>

void pcl::ConstCloudIterator< PointT >::DefaultConstIterator::operator++ | ( |  | ) |

inline

Definition at line 203 of file cloud_iterator.hpp.

## operator++() [2/2]

template<typename PointT>

void pcl::ConstCloudIterator< PointT >::DefaultConstIterator::operator++ | ( | int |  | ) |

inline

Definition at line 208 of file cloud_iterator.hpp.

## operator->()

template<typename PointT>

const PointT* pcl::ConstCloudIterator< PointT >::DefaultConstIterator::operator-> | ( |  | ) | const

inline

Definition at line 218 of file cloud_iterator.hpp.

## reset()

template<typename PointT>

void pcl::ConstCloudIterator< PointT >::DefaultConstIterator::reset | ( |  | ) |

inline

Definition at line 238 of file cloud_iterator.hpp.

## size()

template<typename PointT>

size_t pcl::ConstCloudIterator< PointT >::DefaultConstIterator::size | ( |  | ) | const

inline

Definition at line 233 of file cloud_iterator.hpp.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/common/include/pcl/impl/cloud_iterator.hpp